AllCops:
  Exclude:
    - vendor/**/*
    - templates/default/etc/gitlab/gitlab.rb

AlignParameters:
  Enabled: false
LineLength:
  Enabled: false
Lint/UnusedBlockArgument:
  Enabled: false
Metrics/AbcSize:
  Enabled: false
Style/BlockComments:
  Enabled: false
Style/BlockDelimiters:
  Enabled: false
Style/ExtraSpacing:
  Enabled: false
Style/FileName:
  Enabled: false
Style/LeadingCommentSpace:
  Enabled: false
Style/RescueModifier:
  Enabled: false
Style/SpaceBeforeFirstArg:
  Enabled: false
Style/TrailingCommaInLiteral:
  EnforcedStyleForMultiline: comma
Style/WordArray:
  Enabled: false

#Lint/ShadowingOuterLocalVariable:
#  Enabled: false
#Metrics/MethodLength:
#  Max: 10
#Metrics/ModuleLength:
#  Max: 100
#Metrics/CyclomaticComplexity:
#  Max: 6
#Metrics/PerceivedComplexity:
#  Max: 7
#Style/AccessorMethodName:
#  Enabled: false
#Style/MultilineOperationIndentation:
#  Enabled: false
#Style/PerlBackrefs:
#  Enabled: false
